<?php
/**
 * Assets class
 *
 * @package UPPSAE
 */
namespace DynamicLayers\UPPSAE\Classes;

defined( 'ABSPATH' ) || die();

class Assets {

    /**
     * Init
     */
    function __construct() {

        add_action( "elementor/frontend/after_enqueue_styles", [$this, 'register_styles'] );

    }

    /**
     * Register styles
     *
     * @return void
     */
    public function register_styles() {

        $min = ( WP_DEBUG === true ) ? '' : '.min';
        wp_register_style( 'uppsae-pricing-table', UPPSAE_ASSETS . '/css/pricing-table' . $min . '.css', false, '1.0.0' );

    }

}